Waiting for engine...
Skip to main content

Boomi Platform Connector API Reference (1.0.0) - ConnectorClassification

Toggle Pane

Download OpenAPI Specification: Download

Run In Postman

For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.

Connector Classification

A connector classification is the actual connector you would use within the platform. You can have many classifications within a connector group, however, the label has to be different for each classification. For example, dev, uat, or prod.

Create a Connector Classification

Use this operation to create a connector classification within a connector group. A connector classification is the actual connector you would use within the platform. You can have many classifications within a connector group, however, the label has to be different for each classification.

Authorizations:
basicAuth
Request Body schema:
optional
classification
required
string
displayName
required
string
groupType
required
string
version
string

Responses

Response Schema:
classification
required
string
displayName
required
string
groupType
required
string
version
string
object (User)
classificationType
string
deleted
boolean
visibility
string
dateCreated
string <date-time>
lastModifiedDate
string <date-time>

Request samples

Content type
{
  • "classification": "dev",
  • "displayName": "Group Test 4 Connector",
  • "groupType": "test-account-boomi-conn",
  • "version": 3
}

Response samples

Content type
{
  • "classification": "dev",
  • "displayName": "Group Test 4 Connector",
  • "groupType": "test-account-boomi-conn",
  • "version": 3,
  • "createdBy": {
    • "email": "testUser@boomi.com",
    • "firstName": "Boomi",
    • "lastName": "User"
    },
  • "classificationType": "test-account-boomi-conn-dev",
  • "deleted": false,
  • "visibility": "PRIVATE",
  • "dateCreated": "2019-08-24T14:15:22Z",
  • "lastModifiedDate": "2019-08-24T14:15:22Z"
}

Delete an unused connector classification

Use this operation to delete an unused connector classification by providing the classificationType that is the unique type value for that connector classification. To delete a connector classification, there shouldn't be a version assigned to it. Upon successful deletion, the response is a simple true. The response returns an error if there is an issue while deleting the classification.

Authorizations:
basicAuth
path Parameters
classificationType
required
string
Example: accountID-sample-uat

classificationType is the value of the Type column of the Boomi Enterprise Platform --> Developer tab --> Connectors table.

Responses

Response samples

Content type
{
  • "message": "Access denied due to insufficient permissions."
}